Skip to main content
GET
/
api
/
{projectId}
/
optimize
/
transfer-learning-models
Retrieves available transfer learning models
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/transfer-learning-models \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/transfer-learning-models"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/optimize/transfer-learning-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "models": {
    "image": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ],
    "objectDetection": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ],
    "kws": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ],
    "regression": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ],
    "classification": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ],
    "anomaly": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ],
    "visualAnomaly": [
      {
        "name": "<string>",
        "shortName": "<string>",
        "description": "<string>",
        "hasNeurons": true,
        "hasDropout": true,
        "author": "<string>",
        "hasExpertMode": true,
        "abbreviatedName": "<string>",
        "defaultNeurons": 123,
        "defaultDropout": 123,
        "defaultLearningRate": 123,
        "defaultTrainingCycles": 123,
        "hasImageAugmentation": true,
        "organizationModelId": 123,
        "implementationVersion": 123,
        "repositoryUrl": "<string>",
        "customParameters": [
          {
            "name": "Scale axes",
            "defaultValue": "<string>",
            "type": "text",
            "param": "scale-axes",
            "readonly": true,
            "shouldShow": true,
            "required": true,
            "showClickToSet": true,
            "value": "<string>",
            "help": "Divide axes by this number",
            "selectOptions": [
              {
                "value": "<string>",
                "selected": true,
                "optionLabel": "<string>",
                "priority": 123,
                "romEstimate": 123,
                "needsOps": [
                  "<string>"
                ],
                "needsFeatures": [
                  "<string>"
                ]
              }
            ],
            "showIf": {
              "parameter": "<string>",
              "value": "<string>"
            },
            "invalidText": "<string>",
            "multiline": true,
            "hint": "<string>",
            "placeholder": "<string>",
            "valid": [
              {}
            ],
            "items": {},
            "properties": {},
            "minVal": 123,
            "maxVal": 123
          }
        ],
        "blockNoLongerAvailable": {
          "reasonMarkdown": "<string>",
          "reasonHtml": "<string>"
        }
      }
    ]
  },
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

models
object
required
error
string

Optional error description (set if 'success' was false)